Skip to main content
GET
/
commerce
/
catalog
/
admin
/
couponsets
/
{couponSetCode}
/
couponcodes
/
{couponCode}
Error
A valid request URL is required to generate request examples
{
  "couponCode": "<string>",
  "auditInfo": {
    "createBy": "<string>",
    "createDate": "2023-11-07T05:31:56Z",
    "updateBy": "<string>",
    "updateDate": "2023-11-07T05:31:56Z"
  },
  "canBeDeleted": true,
  "couponSetCode": "<string>",
  "couponSetId": 123,
  "redemptionCount": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme.

Path Parameters

couponSetCode
string
required
couponCode
string
required

Query Parameters

includeCounts
boolean
default:false
responseGroups
string
responseFields
string

limits which fields are returned in the response body

Response

Success

Coupon in a coupon set.

couponCode
string
required

The code the customer uses to claim this coupon

auditInfo
object
canBeDeleted
boolean
couponSetCode
string | null

Link to associated coupon

couponSetId
integer<int32>

ReadOnly system id for releated couponset.

redemptionCount
integer<int32> | null

Total number of times this code has been redeemed. ReadOnly, calculated. Only returned with response group includeCounts